Retrieve a Bank Account by ID
curl --request GET \
--url https://api.zivio.net/api/v3/bank_accounts/{id} \
--header 'X-API-Key: <api-key>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v3/bank_accounts/{id}"
headers = {
"X-API-Key": "<api-key>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v3/bank_accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "132",
"currency": "GBP",
"country_code": "GB",
"account_holder_name": "Organistation Ltd",
"account_holder_type": "Business",
"account_number": "12345678",
"sort_code": "123456",
"bank_name": "Bank Inc",
"branch_name": "Manchester Central",
"branch_number": "23AX",
"routing_number": "7587",
"account_kind": "Checking",
"iban": "GB98MIDL07009312345678",
"bic_swift_code": "AAAABB11222",
"owner_id": "23",
"owner_type": "Supplier",
"owner_name": "Supplier Services Ltd",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Bank Accounts
Retrieve a Bank Account by ID
GET
/
bank_accounts
/
{id}
Retrieve a Bank Account by ID
Path Parameters
Response
ok
Example:
"132"
Example:
"GBP"
Example:
"GB"
Example:
"Organistation Ltd"
Example:
"Business"
Example:
"12345678"
Example:
"123456"
Example:
"Bank Inc"
Example:
"Manchester Central"
Example:
"23AX"
Example:
"7587"
Example:
"Checking"
Example:
"GB98MIDL07009312345678"
Example:
"AAAABB11222"
Example:
"23"
Example:
"Supplier"
Example:
"Supplier Services Ltd"

